{"format":"opendoc-document","version":1,"url":"https://docs.storm.tg/developers/operations/listactivepositions","title":"List active positions","description":"GET /api/positions/{trader}/active: List active positions","kind":"api-operation","locale":"en","inLanguage":"en","lastModified":"2026-10-09T14:26:32+03:00","revision":"d36475e7b456c737fae6933fa27b7e1bc2687f2c19291b05725ab2c4e8f79d7a","section":{"title":"For Developers","url":"https://docs.storm.tg/developers"},"representations":{"html":"https://docs.storm.tg/developers/operations/listactivepositions","markdown":"https://docs.storm.tg/developers/operations/listactivepositions.md","json":"https://docs.storm.tg/developers/operations/listactivepositions.json"},"translations":{"en":"https://docs.storm.tg/developers/operations/listactivepositions"},"operation":{"id":"ListActivePositions","method":"GET","path":"/api/positions/{trader}/active","summary":"List active positions","tags":["Positions and order history"],"deprecated":false,"parameters":[{"name":"trader","location":"path","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660"},{"name":"offset","location":"query","schema":{"type":"number","types":["number"],"example":10,"default":0,"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"minimum":0},"properties":[],"variants":[]},"type":"number","required":false,"example":"10"},{"name":"limit","location":"query","schema":{"type":"number","types":["number"],"example":20,"default":20,"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"minimum":1,"maximum":100},"properties":[],"variants":[]},"type":"number","required":false,"example":"20"},{"name":"walletId","location":"query","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"type":"string","required":false,"example":"string"}],"bodies":[],"responses":[{"status":"200","description":"Response","mediaType":"application/json","properties":[],"schema":{"type":"object[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"object","types":["object"],"reference":"#/components/schemas/Data.PositionResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"idx","type":"string · nullable","required":true,"example":"string","schema":{"type":"string · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"txId","type":"string · nullable","required":true,"example":"string","schema":{"type":"string · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"version","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"openedAt","type":"string · date-time","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"lastUpdatedAt","type":"string · date-time","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"closedAt","type":"string · date-time · nullable","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"type","type":"string · enum","required":true,"example":"long","schema":{"type":"string · enum","types":["string"],"enum":["long","short"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"status","type":"string · enum","required":true,"example":"pending_open","schema":{"type":"string · enum","types":["string"],"enum":["pending_open","pending_close","pending_full_close","pending_liquidate","pending_max_pnl","opened","closed","liquidated"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"market","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"trader","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"size","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"notional","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"fraction","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"margin","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"pnl","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"funding","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"rolloverFee","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"settlementOraclePrice","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"indexOraclePrice","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"fee","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"feeRate","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"exchangedQuote","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"exchangedBase","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"direction","type":"string · enum","required":true,"example":"long","schema":{"type":"string · enum","types":["string"],"enum":["long","short"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"eventName","type":"string · nullable","required":true,"example":"string","schema":{"type":"string · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pnlInEvent","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"feeInEvent","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"fundingInEvent","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"rolloverFeeInEvent","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"executionFeeRate","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"executionFeeInEvent","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"executionFee","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"timestamp","type":"string · date-time","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"isOnchain","type":"boolean","required":true,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"roe","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"order","type":"object · nullable","required":false,"example":"{\n  \"id\": \"string\",\n  \"txId\": \"string\",\n  \"trader\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"masterTrader\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"market\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"status\": \"seq_pending\",\n  \"type\": \"market\",\n  \"direction\": \"long\",\n  \"stopPrice\": \"0\",\n  \"limitPrice\": \"0\",\n  \"stopTriggerPrice\": \"0\",\n  \"takeTriggerPrice\": \"0\",\n  \"leverage\": \"0\",\n  \"index\": 0,\n  \"positionId\": \"string\",\n  \"expiration\": \"2026-01-01T00:00:00Z\",\n  \"amount\": \"0\",\n  \"indexPrice\": \"0\",\n  \"settlementOraclePrice\": \"0\",\n  \"createdAt\": \"2026-01-01T00:00:00Z\",\n  \"error\": \"string\"\n}","schema":{"type":"object · nullable","types":["object"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"id","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"txId","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"trader","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"masterTrader","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"market","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"status","type":"string · enum","required":true,"example":"seq_pending","schema":{"type":"string · enum","types":["string"],"enum":["seq_pending","seq_executing","active","pending","tx_sent","executed","canceled","canceled_by_sequencer","expired","error"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"type","type":"string · enum","required":true,"example":"market","schema":{"type":"string · enum","types":["string"],"enum":["market","stop","take","limit","liquidation","max_pnl","add_margin","remove_margin"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"direction","type":"string · enum","required":true,"example":"long","schema":{"type":"string · enum","types":["string"],"enum":["long","short"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"stopPrice","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"limitPrice","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"stopTriggerPrice","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"takeTriggerPrice","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"leverage","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"index","type":"number · nullable","required":true,"example":"0","schema":{"type":"number · nullable","types":["number"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"positionId","type":"string · nullable","required":true,"example":"string","schema":{"type":"string · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"expiration","type":"string · date-time · nullable","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"amount","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"indexPrice","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"settlementOraclePrice","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"createdAt","type":"string · date-time","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"error","type":"string · nullable","required":true,"example":"string","schema":{"type":"string · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}}],"variants":[]},"variants":[]},"example":"[\n  {\n    \"idx\": \"string\",\n    \"txId\": \"string\",\n    \"version\": 0,\n    \"openedAt\": \"2026-01-01T00:00:00Z\",\n    \"lastUpdatedAt\": \"2026-01-01T00:00:00Z\",\n    \"closedAt\": \"2026-01-01T00:00:00Z\",\n    \"type\": \"long\",\n    \"status\": \"pending_open\",\n    \"market\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"trader\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"size\": \"0\",\n    \"notional\": \"0\",\n    \"fraction\": \"0\",\n    \"margin\": \"0\",\n    \"pnl\": \"0\",\n    \"funding\": \"0\",\n    \"rolloverFee\": \"0\",\n    \"settlementOraclePrice\": \"0\",\n    \"indexOraclePrice\": \"0\",\n    \"fee\": \"0\",\n    \"feeRate\": \"0\",\n    \"exchangedQuote\": \"0\",\n    \"exchangedBase\": \"0\",\n    \"direction\": \"long\",\n    \"eventName\": \"string\",\n    \"pnlInEvent\": \"0\",\n    \"feeInEvent\": \"0\",\n    \"fundingInEvent\": \"0\",\n    \"rolloverFeeInEvent\": \"0\",\n    \"executionFeeRate\": \"0\",\n    \"executionFeeInEvent\": \"0\",\n    \"executionFee\": \"0\",\n    \"timestamp\": \"2026-01-01T00:00:00Z\",\n    \"isOnchain\": true,\n    \"roe\": \"0\",\n    \"order\": {\n      \"id\": \"string\",\n      \"txId\": \"string\",\n      \"trader\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n      \"masterTrader\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n      \"market\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n      \"status\": \"seq_pending\",\n      \"type\": \"market\",\n      \"direction\": \"long\",\n      \"stopPrice\": \"0\",\n      \"limitPrice\": \"0\",\n      \"stopTriggerPrice\": \"0\",\n      \"takeTriggerPrice\": \"0\",\n      \"leverage\": \"0\",\n      \"index\": 0,\n      \"positionId\": \"string\",\n      \"expiration\": \"2026-01-01T00:00:00Z\",\n      \"amount\": \"0\",\n      \"indexPrice\": \"0\",\n      \"settlementOraclePrice\": \"0\",\n      \"createdAt\": \"2026-01-01T00:00:00Z\",\n      \"error\": \"string\"\n    }\n  }\n]","headers":[]}],"security":[],"codeSamples":[{"label":"cURL","language":"bash","source":"curl --request GET 'https://api.storm.tg/api/positions/{trader}/active' \\\n  --header 'Accept: application/json'"},{"label":"JavaScript","language":"javascript","source":"const response = await fetch(\"https://api.storm.tg/api/positions/{trader}/active\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());"},{"label":"Python","language":"python","source":"import requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/api/positions/{trader}/active\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)"}]},"breadcrumbs":[{"title":"⚡ About Storm Trade","url":"https://docs.storm.tg"},{"title":"For Developers","url":"https://docs.storm.tg/developers"},{"title":"List active positions","url":"https://docs.storm.tg/developers/operations/listactivepositions"}],"headings":[{"depth":2,"id":"parameters","title":"Parameters"},{"depth":2,"id":"examples","title":"Examples"},{"depth":2,"id":"responses","title":"Responses"}],"markdown":"# List active positions\n\n`GET /api/positions/{trader}/active`\n\n## Authorization\n\n\n\n## Parameters\n\n- path: trader (string; required). \n\nType: string\n\nExample: \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\"\n\n- query: offset (number; optional). \n\nType: number\n\nExample: 10\n\nDefault: 0\n\nminimum: 0\n\n- query: limit (number; optional). \n\nType: number\n\nExample: 20\n\nDefault: 20\n\nminimum: 1\n\nmaximum: 100\n\n- query: walletId (string; optional). \n\nType: string\n\n## Example · cURL\n\n```bash\ncurl --request GET 'https://api.storm.tg/api/positions/{trader}/active' \\\n  --header 'Accept: application/json'\n```\n\n## Example · JavaScript\n\n```javascript\nconst response = await fetch(\"https://api.storm.tg/api/positions/{trader}/active\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());\n```\n\n## Example · Python\n\n```python\nimport requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/api/positions/{trader}/active\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)\n```\n\n## Response 200 · Data.PositionResponse\n\n**200** application/json — Response\n\nType: object[]\n\n[]Schema: Data.PositionResponse\n\n[]Type: object\n\n[]Required fields: idx, txId, version, openedAt, lastUpdatedAt, closedAt, type, status, market, trader, size, notional, fraction, margin, pnl, funding, rolloverFee, settlementOraclePrice, indexOraclePrice, fee, feeRate, exchangedQuote, exchangedBase, direction, eventName, pnlInEvent, feeInEvent, fundingInEvent, rolloverFeeInEvent, executionFeeRate, executionFeeInEvent, executionFee, timestamp, isOnchain, roe\n\n[]Required field types: idx (string · nullable; required), txId (string · nullable; required), version (number; required), openedAt (string · date-time; required), lastUpdatedAt (string · date-time; required), closedAt (string · date-time · nullable; required), type (string · enum; required), status (string · enum; required), market (string; required), trader (string; required), size (string · int64; required), notional (string · int64; required), fraction (string · int64; required), margin (string · int64; required), pnl (string · int64 · nullable; required), funding (string · int64 · nullable; required), rolloverFee (string · int64 · nullable; required), settlementOraclePrice (string · int64 · nullable; required), indexOraclePrice (string · int64 · nullable; required), fee (string · int64 · nullable; required), feeRate (string · int64 · nullable; required), exchangedQuote (string · int64 · nullable; required), exchangedBase (string · int64 · nullable; required), direction (string · enum; required), eventName (string · nullable; required), pnlInEvent (string · int64 · nullable; required), feeInEvent (string · int64 · nullable; required), fundingInEvent (string · int64 · nullable; required), rolloverFeeInEvent (string · int64 · nullable; required), executionFeeRate (string · int64 · nullable; required), executionFeeInEvent (string · int64 · nullable; required), executionFee (string · int64 · nullable; required), timestamp (string · date-time; required), isOnchain (boolean; required), roe (string · int64 · nullable; required)\n\n- []idx (string · nullable; required)\n\n[]idx example: string\n\n[]idx.Type: string · nullable\n\n- []txId (string · nullable; required)\n\n[]txId example: string\n\n[]txId.Type: string · nullable\n\n- []version (number; required)\n\n[]version example: 0\n\n[]version.Type: number\n\n- []openedAt (string · date-time; required)\n\n[]openedAt example: 2026-01-01T00:00:00Z\n\n[]openedAt.Type: string · date-time\n\n[]openedAt.format: date-time\n\n- []lastUpdatedAt (string · date-time; required)\n\n[]lastUpdatedAt example: 2026-01-01T00:00:00Z\n\n[]lastUpdatedAt.Type: string · date-time\n\n[]lastUpdatedAt.format: date-time\n\n- []closedAt (string · date-time · nullable; required)\n\n[]closedAt example: 2026-01-01T00:00:00Z\n\n[]closedAt.Type: string · date-time · nullable\n\n[]closedAt.format: date-time\n\n- []type (string · enum; required)\n\n[]type example: long\n\n[]type.Type: string · enum\n\n[]type.Allowed values: [\"long\",\"short\"]\n\n- []status (string · enum; required)\n\n[]status example: pending_open\n\n[]status.Type: string · enum\n\n[]status.Allowed values: [\"pending_open\",\"pending_close\",\"pending_full_close\",\"pending_liquidate\",\"pending_max_pnl\",\"opened\",\"closed\",\"liquidated\"]\n\n- []market (string; required)\n\n[]market example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\n[]market.Type: string\n\n- []trader (string; required)\n\n[]trader example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\n[]trader.Type: string\n\n- []size (string · int64; required)\n\n[]size example: 0\n\n[]size.Type: string · int64\n\n[]size.format: int64\n\n[]size.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []notional (string · int64; required)\n\n[]notional example: 0\n\n[]notional.Type: string · int64\n\n[]notional.format: int64\n\n[]notional.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []fraction (string · int64; required)\n\n[]fraction example: 0\n\n[]fraction.Type: string · int64\n\n[]fraction.format: int64\n\n[]fraction.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []margin (string · int64; required)\n\n[]margin example: 0\n\n[]margin.Type: string · int64\n\n[]margin.format: int64\n\n[]margin.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []pnl (string · int64 · nullable; required)\n\n[]pnl example: 0\n\n[]pnl.Type: string · int64 · nullable\n\n[]pnl.format: int64\n\n[]pnl.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []funding (string · int64 · nullable; required)\n\n[]funding example: 0\n\n[]funding.Type: string · int64 · nullable\n\n[]funding.format: int64\n\n[]funding.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []rolloverFee (string · int64 · nullable; required)\n\n[]rolloverFee example: 0\n\n[]rolloverFee.Type: string · int64 · nullable\n\n[]rolloverFee.format: int64\n\n[]rolloverFee.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []settlementOraclePrice (string · int64 · nullable; required)\n\n[]settlementOraclePrice example: 0\n\n[]settlementOraclePrice.Type: string · int64 · nullable\n\n[]settlementOraclePrice.format: int64\n\n[]settlementOraclePrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []indexOraclePrice (string · int64 · nullable; required)\n\n[]indexOraclePrice example: 0\n\n[]indexOraclePrice.Type: string · int64 · nullable\n\n[]indexOraclePrice.format: int64\n\n[]indexOraclePrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []fee (string · int64 · nullable; required)\n\n[]fee example: 0\n\n[]fee.Type: string · int64 · nullable\n\n[]fee.format: int64\n\n[]fee.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []feeRate (string · int64 · nullable; required)\n\n[]feeRate example: 0\n\n[]feeRate.Type: string · int64 · nullable\n\n[]feeRate.format: int64\n\n[]feeRate.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []exchangedQuote (string · int64 · nullable; required)\n\n[]exchangedQuote example: 0\n\n[]exchangedQuote.Type: string · int64 · nullable\n\n[]exchangedQuote.format: int64\n\n[]exchangedQuote.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []exchangedBase (string · int64 · nullable; required)\n\n[]exchangedBase example: 0\n\n[]exchangedBase.Type: string · int64 · nullable\n\n[]exchangedBase.format: int64\n\n[]exchangedBase.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []direction (string · enum; required)\n\n[]direction example: long\n\n[]direction.Type: string · enum\n\n[]direction.Allowed values: [\"long\",\"short\"]\n\n- []eventName (string · nullable; required)\n\n[]eventName example: string\n\n[]eventName.Type: string · nullable\n\n- []pnlInEvent (string · int64 · nullable; required)\n\n[]pnlInEvent example: 0\n\n[]pnlInEvent.Type: string · int64 · nullable\n\n[]pnlInEvent.format: int64\n\n[]pnlInEvent.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []feeInEvent (string · int64 · nullable; required)\n\n[]feeInEvent example: 0\n\n[]feeInEvent.Type: string · int64 · nullable\n\n[]feeInEvent.format: int64\n\n[]feeInEvent.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []fundingInEvent (string · int64 · nullable; required)\n\n[]fundingInEvent example: 0\n\n[]fundingInEvent.Type: string · int64 · nullable\n\n[]fundingInEvent.format: int64\n\n[]fundingInEvent.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []rolloverFeeInEvent (string · int64 · nullable; required)\n\n[]rolloverFeeInEvent example: 0\n\n[]rolloverFeeInEvent.Type: string · int64 · nullable\n\n[]rolloverFeeInEvent.format: int64\n\n[]rolloverFeeInEvent.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []executionFeeRate (string · int64 · nullable; required)\n\n[]executionFeeRate example: 0\n\n[]executionFeeRate.Type: string · int64 · nullable\n\n[]executionFeeRate.format: int64\n\n[]executionFeeRate.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []executionFeeInEvent (string · int64 · nullable; required)\n\n[]executionFeeInEvent example: 0\n\n[]executionFeeInEvent.Type: string · int64 · nullable\n\n[]executionFeeInEvent.format: int64\n\n[]executionFeeInEvent.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []executionFee (string · int64 · nullable; required)\n\n[]executionFee example: 0\n\n[]executionFee.Type: string · int64 · nullable\n\n[]executionFee.format: int64\n\n[]executionFee.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []timestamp (string · date-time; required)\n\n[]timestamp example: 2026-01-01T00:00:00Z\n\n[]timestamp.Type: string · date-time\n\n[]timestamp.format: date-time\n\n- []isOnchain (boolean; required)\n\n[]isOnchain example: true\n\n[]isOnchain.Type: boolean\n\n- []roe (string · int64 · nullable; required)\n\n[]roe example: 0\n\n[]roe.Type: string · int64 · nullable\n\n[]roe.format: int64\n\n[]roe.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []order (object · nullable; optional)\n\n[]order example: {\n  \"id\": \"string\",\n  \"txId\": \"string\",\n  \"trader\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"masterTrader\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"market\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"status\": \"seq_pending\",\n  \"type\": \"market\",\n  \"direction\": \"long\",\n  \"stopPrice\": \"0\",\n  \"limitPrice\": \"0\",\n  \"stopTriggerPrice\": \"0\",\n  \"takeTriggerPrice\": \"0\",\n  \"leverage\": \"0\",\n  \"index\": 0,\n  \"positionId\": \"string\",\n  \"expiration\": \"2026-01-01T00:00:00Z\",\n  \"amount\": \"0\",\n  \"indexPrice\": \"0\",\n  \"settlementOraclePrice\": \"0\",\n  \"createdAt\": \"2026-01-01T00:00:00Z\",\n  \"error\": \"string\"\n}\n\n[]order.Type: object · nullable\n\n[]order.Required fields: id, txId, trader, masterTrader, market, status, type, direction, stopPrice, limitPrice, stopTriggerPrice, takeTriggerPrice, leverage, index, positionId, expiration, amount, indexPrice, settlementOraclePrice, createdAt, error\n\n[]order.Required field types: id (string; required), txId (string; required), trader (string; required), masterTrader (string; required), market (string; required), status (string · enum; required), type (string · enum; required), direction (string · enum; required), stopPrice (string · int64 · nullable; required), limitPrice (string · int64 · nullable; required), stopTriggerPrice (string · int64 · nullable; required), takeTriggerPrice (string · int64 · nullable; required), leverage (string · int64 · nullable; required), index (number · nullable; required), positionId (string · nullable; required), expiration (string · date-time · nullable; required), amount (string · int64 · nullable; required), indexPrice (string · int64 · nullable; required), settlementOraclePrice (string · int64 · nullable; required), createdAt (string · date-time; required), error (string · nullable; required)\n\n- []order.id (string; required)\n\n[]order.id example: string\n\n[]order.id.Type: string\n\n- []order.txId (string; required)\n\n[]order.txId example: string\n\n[]order.txId.Type: string\n\n- []order.trader (string; required)\n\n[]order.trader example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\n[]order.trader.Type: string\n\n- []order.masterTrader (string; required)\n\n[]order.masterTrader example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\n[]order.masterTrader.Type: string\n\n- []order.market (string; required)\n\n[]order.market example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\n[]order.market.Type: string\n\n- []order.status (string · enum; required)\n\n[]order.status example: seq_pending\n\n[]order.status.Type: string · enum\n\n[]order.status.Allowed values: [\"seq_pending\",\"seq_executing\",\"active\",\"pending\",\"tx_sent\",\"executed\",\"canceled\",\"canceled_by_sequencer\",\"expired\",\"error\"]\n\n- []order.type (string · enum; required)\n\n[]order.type example: market\n\n[]order.type.Type: string · enum\n\n[]order.type.Allowed values: [\"market\",\"stop\",\"take\",\"limit\",\"liquidation\",\"max_pnl\",\"add_margin\",\"remove_margin\"]\n\n- []order.direction (string · enum; required)\n\n[]order.direction example: long\n\n[]order.direction.Type: string · enum\n\n[]order.direction.Allowed values: [\"long\",\"short\"]\n\n- []order.stopPrice (string · int64 · nullable; required)\n\n[]order.stopPrice example: 0\n\n[]order.stopPrice.Type: string · int64 · nullable\n\n[]order.stopPrice.format: int64\n\n[]order.stopPrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []order.limitPrice (string · int64 · nullable; required)\n\n[]order.limitPrice example: 0\n\n[]order.limitPrice.Type: string · int64 · nullable\n\n[]order.limitPrice.format: int64\n\n[]order.limitPrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []order.stopTriggerPrice (string · int64 · nullable; required)\n\n[]order.stopTriggerPrice example: 0\n\n[]order.stopTriggerPrice.Type: string · int64 · nullable\n\n[]order.stopTriggerPrice.format: int64\n\n[]order.stopTriggerPrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []order.takeTriggerPrice (string · int64 · nullable; required)\n\n[]order.takeTriggerPrice example: 0\n\n[]order.takeTriggerPrice.Type: string · int64 · nullable\n\n[]order.takeTriggerPrice.format: int64\n\n[]order.takeTriggerPrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []order.leverage (string · int64 · nullable; required)\n\n[]order.leverage example: 0\n\n[]order.leverage.Type: string · int64 · nullable\n\n[]order.leverage.format: int64\n\n[]order.leverage.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []order.index (number · nullable; required)\n\n[]order.index example: 0\n\n[]order.index.Type: number · nullable\n\n- []order.positionId (string · nullable; required)\n\n[]order.positionId example: string\n\n[]order.positionId.Type: string · nullable\n\n- []order.expiration (string · date-time · nullable; required)\n\n[]order.expiration example: 2026-01-01T00:00:00Z\n\n[]order.expiration.Type: string · date-time · nullable\n\n[]order.expiration.format: date-time\n\n- []order.amount (string · int64 · nullable; required)\n\n[]order.amount example: 0\n\n[]order.amount.Type: string · int64 · nullable\n\n[]order.amount.format: int64\n\n[]order.amount.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []order.indexPrice (string · int64 · nullable; required)\n\n[]order.indexPrice example: 0\n\n[]order.indexPrice.Type: string · int64 · nullable\n\n[]order.indexPrice.format: int64\n\n[]order.indexPrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []order.settlementOraclePrice (string · int64 · nullable; required)\n\n[]order.settlementOraclePrice example: 0\n\n[]order.settlementOraclePrice.Type: string · int64 · nullable\n\n[]order.settlementOraclePrice.format: int64\n\n[]order.settlementOraclePrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []order.createdAt (string · date-time; required)\n\n[]order.createdAt example: 2026-01-01T00:00:00Z\n\n[]order.createdAt.Type: string · date-time\n\n[]order.createdAt.format: date-time\n\n- []order.error (string · nullable; required)\n\n[]order.error example: string\n\n[]order.error.Type: string · nullable\n\nExample\n\n\n\n```json\n[\n  {\n    \"idx\": \"string\",\n    \"txId\": \"string\",\n    \"version\": 0,\n    \"openedAt\": \"2026-01-01T00:00:00Z\",\n    \"lastUpdatedAt\": \"2026-01-01T00:00:00Z\",\n    \"closedAt\": \"2026-01-01T00:00:00Z\",\n    \"type\": \"long\",\n    \"status\": \"pending_open\",\n    \"market\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"trader\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"size\": \"0\",\n    \"notional\": \"0\",\n    \"fraction\": \"0\",\n    \"margin\": \"0\",\n    \"pnl\": \"0\",\n    \"funding\": \"0\",\n    \"rolloverFee\": \"0\",\n    \"settlementOraclePrice\": \"0\",\n    \"indexOraclePrice\": \"0\",\n    \"fee\": \"0\",\n    \"feeRate\": \"0\",\n    \"exchangedQuote\": \"0\",\n    \"exchangedBase\": \"0\",\n    \"direction\": \"long\",\n    \"eventName\": \"string\",\n    \"pnlInEvent\": \"0\",\n    \"feeInEvent\": \"0\",\n    \"fundingInEvent\": \"0\",\n    \"rolloverFeeInEvent\": \"0\",\n    \"executionFeeRate\": \"0\",\n    \"executionFeeInEvent\": \"0\",\n    \"executionFee\": \"0\",\n    \"timestamp\": \"2026-01-01T00:00:00Z\",\n    \"isOnchain\": true,\n    \"roe\": \"0\",\n    \"order\": {\n      \"id\": \"string\",\n      \"txId\": \"string\",\n      \"trader\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n      \"masterTrader\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n      \"market\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n      \"status\": \"seq_pending\",\n      \"type\": \"market\",\n      \"direction\": \"long\",\n      \"stopPrice\": \"0\",\n      \"limitPrice\": \"0\",\n      \"stopTriggerPrice\": \"0\",\n      \"takeTriggerPrice\": \"0\",\n      \"leverage\": \"0\",\n      \"index\": 0,\n      \"positionId\": \"string\",\n      \"expiration\": \"2026-01-01T00:00:00Z\",\n      \"amount\": \"0\",\n      \"indexPrice\": \"0\",\n      \"settlementOraclePrice\": \"0\",\n      \"createdAt\": \"2026-01-01T00:00:00Z\",\n      \"error\": \"string\"\n    }\n  }\n]\n```","text":"List active positions GET /api/positions/{trader}/active Positions and order history trader string offset number limit number walletId string 200 Response","api":{"title":"Storm API reference","version":"3.0","documentation":"https://docs.storm.tg/developers/overview","playgroundServer":"https://api.storm.tg"}}